BUG #15877: Cannot CREATE EXTENSION for postgis 2.4 because of missing gdal23-libs ldconfig path

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

BUG #15877: Cannot CREATE EXTENSION for postgis 2.4 because of missing gdal23-libs ldconfig path

PG Bug reporting form
The following bug has been logged on the website:

Bug reference:      15877
Logged by:          Karl Pinc
Email address:      [hidden email]
PostgreSQL version: 10.9
Operating system:   Red Hat Enterprise Linux Server release 7.6 (Maipo
Description:        

Other installed packages:
postgis24_10.x86_64                    2.4.7-3.rhel7                    
@pgdg10
gdal-libs.x86_64                      1.11.4-12.rhel7                  
@pgdg10
gdal23-libs.x86_64                    2.3.2-7.rhel7                    
@pgdg10

I tried restoring a database with postgis installed in it and could not:

$ pg_restore -U babase_admin -1 -d karl_test < /tmp/babase_test.custom
pg_restore: [archiver (db)] Error while PROCESSING TOC:
pg_restore: [archiver (db)] Error from TOC entry 2; 3079 320225 EXTENSION
postgis
pg_restore: [archiver (db)] could not execute query: ERROR:  could not load
library "/usr/pgsql-10/lib/rtpostgis-2.4.so": libgdal.so.20: cannot open
shared object file: No such file or directory
    Command was: CREATE EXTENSION IF NOT EXISTS postgis WITH SCHEMA
postgis;

The fix was to add the file: /etc/ld.so.conf.d/gdal23-pgdg-libs.conf
The content is:
  /usr/gdal23/lib/

Then, I ran: ldconfig

I suspect that someone needs to add /usr/gdal23/lib to whatever rpm package
configures ldconfig
for postgis.  There is a /etc/ld.so.conf.d/geos37-pgdg-libs.conf file from
the geos37 package,
so maybe the gdal23-libs package needs to do the same thing?

Thanks for your attention.